Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime
Class GroovyCategorySupport

    java.lang.Object
      org.codehaus.groovy.runtime.GroovyCategorySupport

    public class GroovyCategorySupport

extends Object

Author:
  sam, Paul King

Constructor Summary
`GroovyCategorySupport()`

Method Summary
`static List` | `getCategoryMethods(Class categorizedClass)` This method is used to pull all the new methods out of the local thread context.
`static List` | `getCategoryMethods(Class categorizedClass, String name)` This method is used to pull all the new methods out of the local thread context with a particular name.
`static Object` | `getClosestMatchingCategoryMethod(Class sender, MetaMethod orig, MetaMethod element)`
`static boolean` | `hasCategoryInAnyThread()`
`static Object` | `use(Class categoryClass, Closure closure)` Create a scope based on given categoryClass and invoke closure within that scope.
`static Object` | `use(List categoryClasses, Closure closure)` Create a scope based on given categoryClasses and invoke closure within that scope.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroovyCategorySupport

    public GroovyCategorySupport()

Method Detail

### getCategoryMethods

    public static List getCategoryMethods(Class categorizedClass,
                                          String name)

  This method is used to pull all the new methods out of the local thread context with a particular name.

  Parameters:
    `categorizedClass` - a class subject to the category methods in the thread context
    `name` - the method name of interest
  Returns:
    the list of methods

### getCategoryMethods

    public static List getCategoryMethods(Class categorizedClass)

  This method is used to pull all the new methods out of the local thread context.

  Parameters:
    `categorizedClass` - a class subject to the category methods in the thread context
  Returns:
    the list of methods

### getClosestMatchingCategoryMethod

    public static Object getClosestMatchingCategoryMethod(Class sender,
                                                          MetaMethod orig,
                                                          MetaMethod element)

### use

    public static Object use(Class categoryClass,
                             Closure closure)

  Create a scope based on given categoryClass and invoke closure within that scope.

  Parameters:
    `categoryClass` - the class containing category methods
    `closure` - the closure during which to make the category class methods available
  Returns:
    the value returned from the closure

### use

    public static Object use(List categoryClasses,
                             Closure closure)

  Create a scope based on given categoryClasses and invoke closure within that scope.

  Parameters:
    `categoryClasses` - the list of classes containing category methods
    `closure` - the closure during which to make the category class methods available
  Returns:
    the value returned from the closure

### hasCategoryInAnyThread

    public static boolean hasCategoryInAnyThread()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD